List Meta WhatsApp templates
curl --request GET \
--url https://prod-platform-core-api.20x.business/api/v1/whatsapp/meta-templates \
--header 'Authorization: Bearer <token>'import requests
url = "https://prod-platform-core-api.20x.business/api/v1/whatsapp/meta-templates"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://prod-platform-core-api.20x.business/api/v1/whatsapp/meta-templates', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));WhatsApp Campaigns
List Meta WhatsApp templates
Retrieve live approved message templates from your connected Meta WhatsApp Business Account
GET
/
whatsapp
/
meta-templates
List Meta WhatsApp templates
curl --request GET \
--url https://prod-platform-core-api.20x.business/api/v1/whatsapp/meta-templates \
--header 'Authorization: Bearer <token>'import requests
url = "https://prod-platform-core-api.20x.business/api/v1/whatsapp/meta-templates"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://prod-platform-core-api.20x.business/api/v1/whatsapp/meta-templates', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));Queries Meta Graph API live to fetch all pre-approved WhatsApp message templates associated with your tenant’s WhatsApp Business Account (WABA).
curl -X GET https://prod-campaign-engine-api.20x.business/api/v1/whatsapp/meta-templates \
-H "Authorization: Bearer $AGENTIC_OS_API_KEY"
import requests
response = requests.get(
"https://prod-campaign-engine-api.20x.business/api/v1/whatsapp/meta-templates",
headers={"Authorization": f"Bearer {API_KEY}"},
)
print(response.json())
const response = await fetch(
"https://prod-campaign-engine-api.20x.business/api/v1/whatsapp/meta-templates",
{
method: "GET",
headers: { Authorization: `Bearer ${API_KEY}` },
},
);
const data = await response.json();
console.log(data);
Response
[
{
"name": "call_summary_feedback",
"status": "APPROVED",
"language": "en_US",
"category": "UTILITY",
"components": [
{
"type": "BODY",
"text": "Hello {{1}}, thank you for speaking with our AI specialist today. Please find your call summary attached."
}
]
}
]

